IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/88
Addresses2^40
/64 networksPart of one
- Network
fe80:c25d:ec00:dd:b10:8800::/88- First address
fe80:c25d:ec00:dd:b10:8800::- Last address
fe80:c25d:ec00:dd:b10:88ff:ffff:ffff- Addresses
- 1,099,511,627,776 (2^40)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25d:ec00:00dd:0b10:8800:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
8.8.0.1.b.0.d.d.0.0.0.0.c.e.d.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25d:ec00:dd:b10:8800::/88 makes 256 subnets of /96.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25d:ec00:dd:b10:8800::/96 | fe80:c25d:ec00:dd:b10:8800:ffff:ffff |
| 2 | fe80:c25d:ec00:dd:b10:8801::/96 | fe80:c25d:ec00:dd:b10:8801:ffff:ffff |
| 3 | fe80:c25d:ec00:dd:b10:8802::/96 | fe80:c25d:ec00:dd:b10:8802:ffff:ffff |
| 4 | fe80:c25d:ec00:dd:b10:8803::/96 | fe80:c25d:ec00:dd:b10:8803:ffff:ffff |
| 5 | fe80:c25d:ec00:dd:b10:8804::/96 | fe80:c25d:ec00:dd:b10:8804:ffff:ffff |
| 6 | fe80:c25d:ec00:dd:b10:8805::/96 | fe80:c25d:ec00:dd:b10:8805:ffff:ffff |
| 7 | fe80:c25d:ec00:dd:b10:8806::/96 | fe80:c25d:ec00:dd:b10:8806:ffff:ffff |
| 8 | fe80:c25d:ec00:dd:b10:8807::/96 | fe80:c25d:ec00:dd:b10:8807:ffff:ffff |
| 9 | fe80:c25d:ec00:dd:b10:8808::/96 | fe80:c25d:ec00:dd:b10:8808:ffff:ffff |
| 10 | fe80:c25d:ec00:dd:b10:8809::/96 | fe80:c25d:ec00:dd:b10:8809:ffff:ffff |
| 11 | fe80:c25d:ec00:dd:b10:880a::/96 | fe80:c25d:ec00:dd:b10:880a:ffff:ffff |
| 12 | fe80:c25d:ec00:dd:b10:880b::/96 | fe80:c25d:ec00:dd:b10:880b:ffff:ffff |
| 13 | fe80:c25d:ec00:dd:b10:880c::/96 | fe80:c25d:ec00:dd:b10:880c:ffff:ffff |
| 14 | fe80:c25d:ec00:dd:b10:880d::/96 | fe80:c25d:ec00:dd:b10:880d:ffff:ffff |
| 15 | fe80:c25d:ec00:dd:b10:880e::/96 | fe80:c25d:ec00:dd:b10:880e:ffff:ffff |
| 16 | fe80:c25d:ec00:dd:b10:880f::/96 | fe80:c25d:ec00:dd:b10:880f:ffff:ffff |
| 17 | fe80:c25d:ec00:dd:b10:8810::/96 | fe80:c25d:ec00:dd:b10:8810:ffff:ffff |
| 18 | fe80:c25d:ec00:dd:b10:8811::/96 | fe80:c25d:ec00:dd:b10:8811:ffff:ffff |
| 19 | fe80:c25d:ec00:dd:b10:8812::/96 | fe80:c25d:ec00:dd:b10:8812:ffff:ffff |
| 20 | fe80:c25d:ec00:dd:b10:8813::/96 | fe80:c25d:ec00:dd:b10:8813:ffff:ffff |
| 21 | fe80:c25d:ec00:dd:b10:8814::/96 | fe80:c25d:ec00:dd:b10:8814:ffff:ffff |
| 22 | fe80:c25d:ec00:dd:b10:8815::/96 | fe80:c25d:ec00:dd:b10:8815:ffff:ffff |
| 23 | fe80:c25d:ec00:dd:b10:8816::/96 | fe80:c25d:ec00:dd:b10:8816:ffff:ffff |
| 24 | fe80:c25d:ec00:dd:b10:8817::/96 | fe80:c25d:ec00:dd:b10:8817:ffff:ffff |
| 25 | fe80:c25d:ec00:dd:b10:8818::/96 | fe80:c25d:ec00:dd:b10:8818:ffff:ffff |
| 26 | fe80:c25d:ec00:dd:b10:8819::/96 | fe80:c25d:ec00:dd:b10:8819:ffff:ffff |
| 27 | fe80:c25d:ec00:dd:b10:881a::/96 | fe80:c25d:ec00:dd:b10:881a:ffff:ffff |
| 28 | fe80:c25d:ec00:dd:b10:881b::/96 | fe80:c25d:ec00:dd:b10:881b:ffff:ffff |
| 29 | fe80:c25d:ec00:dd:b10:881c::/96 | fe80:c25d:ec00:dd:b10:881c:ffff:ffff |
| 30 | fe80:c25d:ec00:dd:b10:881d::/96 | fe80:c25d:ec00:dd:b10:881d:ffff:ffff |
| 31 | fe80:c25d:ec00:dd:b10:881e::/96 | fe80:c25d:ec00:dd:b10:881e:ffff:ffff |
| 32 | fe80:c25d:ec00:dd:b10:881f::/96 | fe80:c25d:ec00:dd:b10:881f:ffff:ffff |
| 33 | fe80:c25d:ec00:dd:b10:8820::/96 | fe80:c25d:ec00:dd:b10:8820:ffff:ffff |
| 34 | fe80:c25d:ec00:dd:b10:8821::/96 | fe80:c25d:ec00:dd:b10:8821:ffff:ffff |
| 35 | fe80:c25d:ec00:dd:b10:8822::/96 | fe80:c25d:ec00:dd:b10:8822:ffff:ffff |
| 36 | fe80:c25d:ec00:dd:b10:8823::/96 | fe80:c25d:ec00:dd:b10:8823:ffff:ffff |
| 37 | fe80:c25d:ec00:dd:b10:8824::/96 | fe80:c25d:ec00:dd:b10:8824:ffff:ffff |
| 38 | fe80:c25d:ec00:dd:b10:8825::/96 | fe80:c25d:ec00:dd:b10:8825:ffff:ffff |
| 39 | fe80:c25d:ec00:dd:b10:8826::/96 | fe80:c25d:ec00:dd:b10:8826:ffff:ffff |
| 40 | fe80:c25d:ec00:dd:b10:8827::/96 | fe80:c25d:ec00:dd:b10:8827:ffff:ffff |
| 41 | fe80:c25d:ec00:dd:b10:8828::/96 | fe80:c25d:ec00:dd:b10:8828:ffff:ffff |
| 42 | fe80:c25d:ec00:dd:b10:8829::/96 | fe80:c25d:ec00:dd:b10:8829:ffff:ffff |
| 43 | fe80:c25d:ec00:dd:b10:882a::/96 | fe80:c25d:ec00:dd:b10:882a:ffff:ffff |
| 44 | fe80:c25d:ec00:dd:b10:882b::/96 | fe80:c25d:ec00:dd:b10:882b:ffff:ffff |
| 45 | fe80:c25d:ec00:dd:b10:882c::/96 | fe80:c25d:ec00:dd:b10:882c:ffff:ffff |
| 46 | fe80:c25d:ec00:dd:b10:882d::/96 | fe80:c25d:ec00:dd:b10:882d:ffff:ffff |
| 47 | fe80:c25d:ec00:dd:b10:882e::/96 | fe80:c25d:ec00:dd:b10:882e:ffff:ffff |
| 48 | fe80:c25d:ec00:dd:b10:882f::/96 | fe80:c25d:ec00:dd:b10:882f:ffff:ffff |
| 49 | fe80:c25d:ec00:dd:b10:8830::/96 | fe80:c25d:ec00:dd:b10:8830:ffff:ffff |
| 50 | fe80:c25d:ec00:dd:b10:8831::/96 | fe80:c25d:ec00:dd:b10:8831:ffff:ffff |
| 51 | fe80:c25d:ec00:dd:b10:8832::/96 | fe80:c25d:ec00:dd:b10:8832:ffff:ffff |
| 52 | fe80:c25d:ec00:dd:b10:8833::/96 | fe80:c25d:ec00:dd:b10:8833:ffff:ffff |
| 53 | fe80:c25d:ec00:dd:b10:8834::/96 | fe80:c25d:ec00:dd:b10:8834:ffff:ffff |
| 54 | fe80:c25d:ec00:dd:b10:8835::/96 | fe80:c25d:ec00:dd:b10:8835:ffff:ffff |
| 55 | fe80:c25d:ec00:dd:b10:8836::/96 | fe80:c25d:ec00:dd:b10:8836:ffff:ffff |
| 56 | fe80:c25d:ec00:dd:b10:8837::/96 | fe80:c25d:ec00:dd:b10:8837:ffff:ffff |
| 57 | fe80:c25d:ec00:dd:b10:8838::/96 | fe80:c25d:ec00:dd:b10:8838:ffff:ffff |
| 58 | fe80:c25d:ec00:dd:b10:8839::/96 | fe80:c25d:ec00:dd:b10:8839:ffff:ffff |
| 59 | fe80:c25d:ec00:dd:b10:883a::/96 | fe80:c25d:ec00:dd:b10:883a:ffff:ffff |
| 60 | fe80:c25d:ec00:dd:b10:883b::/96 | fe80:c25d:ec00:dd:b10:883b:ffff:ffff |
| 61 | fe80:c25d:ec00:dd:b10:883c::/96 | fe80:c25d:ec00:dd:b10:883c:ffff:ffff |
| 62 | fe80:c25d:ec00:dd:b10:883d::/96 | fe80:c25d:ec00:dd:b10:883d:ffff:ffff |
| 63 | fe80:c25d:ec00:dd:b10:883e::/96 | fe80:c25d:ec00:dd:b10:883e:ffff:ffff |
| 64 | fe80:c25d:ec00:dd:b10:883f::/96 | fe80:c25d:ec00:dd:b10:883f:ffff:ffff |
| 65 | fe80:c25d:ec00:dd:b10:8840::/96 | fe80:c25d:ec00:dd:b10:8840:ffff:ffff |
| 66 | fe80:c25d:ec00:dd:b10:8841::/96 | fe80:c25d:ec00:dd:b10:8841:ffff:ffff |
| 67 | fe80:c25d:ec00:dd:b10:8842::/96 | fe80:c25d:ec00:dd:b10:8842:ffff:ffff |
| 68 | fe80:c25d:ec00:dd:b10:8843::/96 | fe80:c25d:ec00:dd:b10:8843:ffff:ffff |
| 69 | fe80:c25d:ec00:dd:b10:8844::/96 | fe80:c25d:ec00:dd:b10:8844:ffff:ffff |
| 70 | fe80:c25d:ec00:dd:b10:8845::/96 | fe80:c25d:ec00:dd:b10:8845:ffff:ffff |
| 71 | fe80:c25d:ec00:dd:b10:8846::/96 | fe80:c25d:ec00:dd:b10:8846:ffff:ffff |
| 72 | fe80:c25d:ec00:dd:b10:8847::/96 | fe80:c25d:ec00:dd:b10:8847:ffff:ffff |
| 73 | fe80:c25d:ec00:dd:b10:8848::/96 | fe80:c25d:ec00:dd:b10:8848:ffff:ffff |
| 74 | fe80:c25d:ec00:dd:b10:8849::/96 | fe80:c25d:ec00:dd:b10:8849:ffff:ffff |
| 75 | fe80:c25d:ec00:dd:b10:884a::/96 | fe80:c25d:ec00:dd:b10:884a:ffff:ffff |
| 76 | fe80:c25d:ec00:dd:b10:884b::/96 | fe80:c25d:ec00:dd:b10:884b:ffff:ffff |
| 77 | fe80:c25d:ec00:dd:b10:884c::/96 | fe80:c25d:ec00:dd:b10:884c:ffff:ffff |
| 78 | fe80:c25d:ec00:dd:b10:884d::/96 | fe80:c25d:ec00:dd:b10:884d:ffff:ffff |
| 79 | fe80:c25d:ec00:dd:b10:884e::/96 | fe80:c25d:ec00:dd:b10:884e:ffff:ffff |
| 80 | fe80:c25d:ec00:dd:b10:884f::/96 | fe80:c25d:ec00:dd:b10:884f:ffff:ffff |
| 81 | fe80:c25d:ec00:dd:b10:8850::/96 | fe80:c25d:ec00:dd:b10:8850:ffff:ffff |
| 82 | fe80:c25d:ec00:dd:b10:8851::/96 | fe80:c25d:ec00:dd:b10:8851:ffff:ffff |
| 83 | fe80:c25d:ec00:dd:b10:8852::/96 | fe80:c25d:ec00:dd:b10:8852:ffff:ffff |
| 84 | fe80:c25d:ec00:dd:b10:8853::/96 | fe80:c25d:ec00:dd:b10:8853:ffff:ffff |
| 85 | fe80:c25d:ec00:dd:b10:8854::/96 | fe80:c25d:ec00:dd:b10:8854:ffff:ffff |
| 86 | fe80:c25d:ec00:dd:b10:8855::/96 | fe80:c25d:ec00:dd:b10:8855:ffff:ffff |
| 87 | fe80:c25d:ec00:dd:b10:8856::/96 | fe80:c25d:ec00:dd:b10:8856:ffff:ffff |
| 88 | fe80:c25d:ec00:dd:b10:8857::/96 | fe80:c25d:ec00:dd:b10:8857:ffff:ffff |
| 89 | fe80:c25d:ec00:dd:b10:8858::/96 | fe80:c25d:ec00:dd:b10:8858:ffff:ffff |
| 90 | fe80:c25d:ec00:dd:b10:8859::/96 | fe80:c25d:ec00:dd:b10:8859:ffff:ffff |
| 91 | fe80:c25d:ec00:dd:b10:885a::/96 | fe80:c25d:ec00:dd:b10:885a:ffff:ffff |
| 92 | fe80:c25d:ec00:dd:b10:885b::/96 | fe80:c25d:ec00:dd:b10:885b:ffff:ffff |
| 93 | fe80:c25d:ec00:dd:b10:885c::/96 | fe80:c25d:ec00:dd:b10:885c:ffff:ffff |
| 94 | fe80:c25d:ec00:dd:b10:885d::/96 | fe80:c25d:ec00:dd:b10:885d:ffff:ffff |
| 95 | fe80:c25d:ec00:dd:b10:885e::/96 | fe80:c25d:ec00:dd:b10:885e:ffff:ffff |
| 96 | fe80:c25d:ec00:dd:b10:885f::/96 | fe80:c25d:ec00:dd:b10:885f:ffff:ffff |
| 97 | fe80:c25d:ec00:dd:b10:8860::/96 | fe80:c25d:ec00:dd:b10:8860:ffff:ffff |
| 98 | fe80:c25d:ec00:dd:b10:8861::/96 | fe80:c25d:ec00:dd:b10:8861:ffff:ffff |
| 99 | fe80:c25d:ec00:dd:b10:8862::/96 | fe80:c25d:ec00:dd:b10:8862:ffff:ffff |
| 100 | fe80:c25d:ec00:dd:b10:8863::/96 | fe80:c25d:ec00:dd:b10:8863:ffff:ffff |
| 101 | fe80:c25d:ec00:dd:b10:8864::/96 | fe80:c25d:ec00:dd:b10:8864:ffff:ffff |
| 102 | fe80:c25d:ec00:dd:b10:8865::/96 | fe80:c25d:ec00:dd:b10:8865:ffff:ffff |
| 103 | fe80:c25d:ec00:dd:b10:8866::/96 | fe80:c25d:ec00:dd:b10:8866:ffff:ffff |
| 104 | fe80:c25d:ec00:dd:b10:8867::/96 | fe80:c25d:ec00:dd:b10:8867:ffff:ffff |
| 105 | fe80:c25d:ec00:dd:b10:8868::/96 | fe80:c25d:ec00:dd:b10:8868:ffff:ffff |
| 106 | fe80:c25d:ec00:dd:b10:8869::/96 | fe80:c25d:ec00:dd:b10:8869:ffff:ffff |
| 107 | fe80:c25d:ec00:dd:b10:886a::/96 | fe80:c25d:ec00:dd:b10:886a:ffff:ffff |
| 108 | fe80:c25d:ec00:dd:b10:886b::/96 | fe80:c25d:ec00:dd:b10:886b:ffff:ffff |
| 109 | fe80:c25d:ec00:dd:b10:886c::/96 | fe80:c25d:ec00:dd:b10:886c:ffff:ffff |
| 110 | fe80:c25d:ec00:dd:b10:886d::/96 | fe80:c25d:ec00:dd:b10:886d:ffff:ffff |
| 111 | fe80:c25d:ec00:dd:b10:886e::/96 | fe80:c25d:ec00:dd:b10:886e:ffff:ffff |
| 112 | fe80:c25d:ec00:dd:b10:886f::/96 | fe80:c25d:ec00:dd:b10:886f:ffff:ffff |
| 113 | fe80:c25d:ec00:dd:b10:8870::/96 | fe80:c25d:ec00:dd:b10:8870:ffff:ffff |
| 114 | fe80:c25d:ec00:dd:b10:8871::/96 | fe80:c25d:ec00:dd:b10:8871:ffff:ffff |
| 115 | fe80:c25d:ec00:dd:b10:8872::/96 | fe80:c25d:ec00:dd:b10:8872:ffff:ffff |
| 116 | fe80:c25d:ec00:dd:b10:8873::/96 | fe80:c25d:ec00:dd:b10:8873:ffff:ffff |
| 117 | fe80:c25d:ec00:dd:b10:8874::/96 | fe80:c25d:ec00:dd:b10:8874:ffff:ffff |
| 118 | fe80:c25d:ec00:dd:b10:8875::/96 | fe80:c25d:ec00:dd:b10:8875:ffff:ffff |
| 119 | fe80:c25d:ec00:dd:b10:8876::/96 | fe80:c25d:ec00:dd:b10:8876:ffff:ffff |
| 120 | fe80:c25d:ec00:dd:b10:8877::/96 | fe80:c25d:ec00:dd:b10:8877:ffff:ffff |
| 121 | fe80:c25d:ec00:dd:b10:8878::/96 | fe80:c25d:ec00:dd:b10:8878:ffff:ffff |
| 122 | fe80:c25d:ec00:dd:b10:8879::/96 | fe80:c25d:ec00:dd:b10:8879:ffff:ffff |
| 123 | fe80:c25d:ec00:dd:b10:887a::/96 | fe80:c25d:ec00:dd:b10:887a:ffff:ffff |
| 124 | fe80:c25d:ec00:dd:b10:887b::/96 | fe80:c25d:ec00:dd:b10:887b:ffff:ffff |
| 125 | fe80:c25d:ec00:dd:b10:887c::/96 | fe80:c25d:ec00:dd:b10:887c:ffff:ffff |
| 126 | fe80:c25d:ec00:dd:b10:887d::/96 | fe80:c25d:ec00:dd:b10:887d:ffff:ffff |
| 127 | fe80:c25d:ec00:dd:b10:887e::/96 | fe80:c25d:ec00:dd:b10:887e:ffff:ffff |
| 128 | fe80:c25d:ec00:dd:b10:887f::/96 | fe80:c25d:ec00:dd:b10:887f:ffff:ffff |
| 129 | fe80:c25d:ec00:dd:b10:8880::/96 | fe80:c25d:ec00:dd:b10:8880:ffff:ffff |
| 130 | fe80:c25d:ec00:dd:b10:8881::/96 | fe80:c25d:ec00:dd:b10:8881:ffff:ffff |
| 131 | fe80:c25d:ec00:dd:b10:8882::/96 | fe80:c25d:ec00:dd:b10:8882:ffff:ffff |
| 132 | fe80:c25d:ec00:dd:b10:8883::/96 | fe80:c25d:ec00:dd:b10:8883:ffff:ffff |
| 133 | fe80:c25d:ec00:dd:b10:8884::/96 | fe80:c25d:ec00:dd:b10:8884:ffff:ffff |
| 134 | fe80:c25d:ec00:dd:b10:8885::/96 | fe80:c25d:ec00:dd:b10:8885:ffff:ffff |
| 135 | fe80:c25d:ec00:dd:b10:8886::/96 | fe80:c25d:ec00:dd:b10:8886:ffff:ffff |
| 136 | fe80:c25d:ec00:dd:b10:8887::/96 | fe80:c25d:ec00:dd:b10:8887:ffff:ffff |
| 137 | fe80:c25d:ec00:dd:b10:8888::/96 | fe80:c25d:ec00:dd:b10:8888:ffff:ffff |
| 138 | fe80:c25d:ec00:dd:b10:8889::/96 | fe80:c25d:ec00:dd:b10:8889:ffff:ffff |
| 139 | fe80:c25d:ec00:dd:b10:888a::/96 | fe80:c25d:ec00:dd:b10:888a:ffff:ffff |
| 140 | fe80:c25d:ec00:dd:b10:888b::/96 | fe80:c25d:ec00:dd:b10:888b:ffff:ffff |
| 141 | fe80:c25d:ec00:dd:b10:888c::/96 | fe80:c25d:ec00:dd:b10:888c:ffff:ffff |
| 142 | fe80:c25d:ec00:dd:b10:888d::/96 | fe80:c25d:ec00:dd:b10:888d:ffff:ffff |
| 143 | fe80:c25d:ec00:dd:b10:888e::/96 | fe80:c25d:ec00:dd:b10:888e:ffff:ffff |
| 144 | fe80:c25d:ec00:dd:b10:888f::/96 | fe80:c25d:ec00:dd:b10:888f:ffff:ffff |
| 145 | fe80:c25d:ec00:dd:b10:8890::/96 | fe80:c25d:ec00:dd:b10:8890:ffff:ffff |
| 146 | fe80:c25d:ec00:dd:b10:8891::/96 | fe80:c25d:ec00:dd:b10:8891:ffff:ffff |
| 147 | fe80:c25d:ec00:dd:b10:8892::/96 | fe80:c25d:ec00:dd:b10:8892:ffff:ffff |
| 148 | fe80:c25d:ec00:dd:b10:8893::/96 | fe80:c25d:ec00:dd:b10:8893:ffff:ffff |
| 149 | fe80:c25d:ec00:dd:b10:8894::/96 | fe80:c25d:ec00:dd:b10:8894:ffff:ffff |
| 150 | fe80:c25d:ec00:dd:b10:8895::/96 | fe80:c25d:ec00:dd:b10:8895:ffff:ffff |
| 151 | fe80:c25d:ec00:dd:b10:8896::/96 | fe80:c25d:ec00:dd:b10:8896:ffff:ffff |
| 152 | fe80:c25d:ec00:dd:b10:8897::/96 | fe80:c25d:ec00:dd:b10:8897:ffff:ffff |
| 153 | fe80:c25d:ec00:dd:b10:8898::/96 | fe80:c25d:ec00:dd:b10:8898:ffff:ffff |
| 154 | fe80:c25d:ec00:dd:b10:8899::/96 | fe80:c25d:ec00:dd:b10:8899:ffff:ffff |
| 155 | fe80:c25d:ec00:dd:b10:889a::/96 | fe80:c25d:ec00:dd:b10:889a:ffff:ffff |
| 156 | fe80:c25d:ec00:dd:b10:889b::/96 | fe80:c25d:ec00:dd:b10:889b:ffff:ffff |
| 157 | fe80:c25d:ec00:dd:b10:889c::/96 | fe80:c25d:ec00:dd:b10:889c:ffff:ffff |
| 158 | fe80:c25d:ec00:dd:b10:889d::/96 | fe80:c25d:ec00:dd:b10:889d:ffff:ffff |
| 159 | fe80:c25d:ec00:dd:b10:889e::/96 | fe80:c25d:ec00:dd:b10:889e:ffff:ffff |
| 160 | fe80:c25d:ec00:dd:b10:889f::/96 | fe80:c25d:ec00:dd:b10:889f:ffff:ffff |
| 161 | fe80:c25d:ec00:dd:b10:88a0::/96 | fe80:c25d:ec00:dd:b10:88a0:ffff:ffff |
| 162 | fe80:c25d:ec00:dd:b10:88a1::/96 | fe80:c25d:ec00:dd:b10:88a1:ffff:ffff |
| 163 | fe80:c25d:ec00:dd:b10:88a2::/96 | fe80:c25d:ec00:dd:b10:88a2:ffff:ffff |
| 164 | fe80:c25d:ec00:dd:b10:88a3::/96 | fe80:c25d:ec00:dd:b10:88a3:ffff:ffff |
| 165 | fe80:c25d:ec00:dd:b10:88a4::/96 | fe80:c25d:ec00:dd:b10:88a4:ffff:ffff |
| 166 | fe80:c25d:ec00:dd:b10:88a5::/96 | fe80:c25d:ec00:dd:b10:88a5:ffff:ffff |
| 167 | fe80:c25d:ec00:dd:b10:88a6::/96 | fe80:c25d:ec00:dd:b10:88a6:ffff:ffff |
| 168 | fe80:c25d:ec00:dd:b10:88a7::/96 | fe80:c25d:ec00:dd:b10:88a7:ffff:ffff |
| 169 | fe80:c25d:ec00:dd:b10:88a8::/96 | fe80:c25d:ec00:dd:b10:88a8:ffff:ffff |
| 170 | fe80:c25d:ec00:dd:b10:88a9::/96 | fe80:c25d:ec00:dd:b10:88a9:ffff:ffff |
| 171 | fe80:c25d:ec00:dd:b10:88aa::/96 | fe80:c25d:ec00:dd:b10:88aa:ffff:ffff |
| 172 | fe80:c25d:ec00:dd:b10:88ab::/96 | fe80:c25d:ec00:dd:b10:88ab:ffff:ffff |
| 173 | fe80:c25d:ec00:dd:b10:88ac::/96 | fe80:c25d:ec00:dd:b10:88ac:ffff:ffff |
| 174 | fe80:c25d:ec00:dd:b10:88ad::/96 | fe80:c25d:ec00:dd:b10:88ad:ffff:ffff |
| 175 | fe80:c25d:ec00:dd:b10:88ae::/96 | fe80:c25d:ec00:dd:b10:88ae:ffff:ffff |
| 176 | fe80:c25d:ec00:dd:b10:88af::/96 | fe80:c25d:ec00:dd:b10:88af:ffff:ffff |
| 177 | fe80:c25d:ec00:dd:b10:88b0::/96 | fe80:c25d:ec00:dd:b10:88b0:ffff:ffff |
| 178 | fe80:c25d:ec00:dd:b10:88b1::/96 | fe80:c25d:ec00:dd:b10:88b1:ffff:ffff |
| 179 | fe80:c25d:ec00:dd:b10:88b2::/96 | fe80:c25d:ec00:dd:b10:88b2:ffff:ffff |
| 180 | fe80:c25d:ec00:dd:b10:88b3::/96 | fe80:c25d:ec00:dd:b10:88b3:ffff:ffff |
| 181 | fe80:c25d:ec00:dd:b10:88b4::/96 | fe80:c25d:ec00:dd:b10:88b4:ffff:ffff |
| 182 | fe80:c25d:ec00:dd:b10:88b5::/96 | fe80:c25d:ec00:dd:b10:88b5:ffff:ffff |
| 183 | fe80:c25d:ec00:dd:b10:88b6::/96 | fe80:c25d:ec00:dd:b10:88b6:ffff:ffff |
| 184 | fe80:c25d:ec00:dd:b10:88b7::/96 | fe80:c25d:ec00:dd:b10:88b7:ffff:ffff |
| 185 | fe80:c25d:ec00:dd:b10:88b8::/96 | fe80:c25d:ec00:dd:b10:88b8:ffff:ffff |
| 186 | fe80:c25d:ec00:dd:b10:88b9::/96 | fe80:c25d:ec00:dd:b10:88b9:ffff:ffff |
| 187 | fe80:c25d:ec00:dd:b10:88ba::/96 | fe80:c25d:ec00:dd:b10:88ba:ffff:ffff |
| 188 | fe80:c25d:ec00:dd:b10:88bb::/96 | fe80:c25d:ec00:dd:b10:88bb:ffff:ffff |
| 189 | fe80:c25d:ec00:dd:b10:88bc::/96 | fe80:c25d:ec00:dd:b10:88bc:ffff:ffff |
| 190 | fe80:c25d:ec00:dd:b10:88bd::/96 | fe80:c25d:ec00:dd:b10:88bd:ffff:ffff |
| 191 | fe80:c25d:ec00:dd:b10:88be::/96 | fe80:c25d:ec00:dd:b10:88be:ffff:ffff |
| 192 | fe80:c25d:ec00:dd:b10:88bf::/96 | fe80:c25d:ec00:dd:b10:88bf:ffff:ffff |
| 193 | fe80:c25d:ec00:dd:b10:88c0::/96 | fe80:c25d:ec00:dd:b10:88c0:ffff:ffff |
| 194 | fe80:c25d:ec00:dd:b10:88c1::/96 | fe80:c25d:ec00:dd:b10:88c1:ffff:ffff |
| 195 | fe80:c25d:ec00:dd:b10:88c2::/96 | fe80:c25d:ec00:dd:b10:88c2:ffff:ffff |
| 196 | fe80:c25d:ec00:dd:b10:88c3::/96 | fe80:c25d:ec00:dd:b10:88c3:ffff:ffff |
| 197 | fe80:c25d:ec00:dd:b10:88c4::/96 | fe80:c25d:ec00:dd:b10:88c4:ffff:ffff |
| 198 | fe80:c25d:ec00:dd:b10:88c5::/96 | fe80:c25d:ec00:dd:b10:88c5:ffff:ffff |
| 199 | fe80:c25d:ec00:dd:b10:88c6::/96 | fe80:c25d:ec00:dd:b10:88c6:ffff:ffff |
| 200 | fe80:c25d:ec00:dd:b10:88c7::/96 | fe80:c25d:ec00:dd:b10:88c7:ffff:ffff |
| 201 | fe80:c25d:ec00:dd:b10:88c8::/96 | fe80:c25d:ec00:dd:b10:88c8:ffff:ffff |
| 202 | fe80:c25d:ec00:dd:b10:88c9::/96 | fe80:c25d:ec00:dd:b10:88c9:ffff:ffff |
| 203 | fe80:c25d:ec00:dd:b10:88ca::/96 | fe80:c25d:ec00:dd:b10:88ca:ffff:ffff |
| 204 | fe80:c25d:ec00:dd:b10:88cb::/96 | fe80:c25d:ec00:dd:b10:88cb:ffff:ffff |
| 205 | fe80:c25d:ec00:dd:b10:88cc::/96 | fe80:c25d:ec00:dd:b10:88cc:ffff:ffff |
| 206 | fe80:c25d:ec00:dd:b10:88cd::/96 | fe80:c25d:ec00:dd:b10:88cd:ffff:ffff |
| 207 | fe80:c25d:ec00:dd:b10:88ce::/96 | fe80:c25d:ec00:dd:b10:88ce:ffff:ffff |
| 208 | fe80:c25d:ec00:dd:b10:88cf::/96 | fe80:c25d:ec00:dd:b10:88cf:ffff:ffff |
| 209 | fe80:c25d:ec00:dd:b10:88d0::/96 | fe80:c25d:ec00:dd:b10:88d0:ffff:ffff |
| 210 | fe80:c25d:ec00:dd:b10:88d1::/96 | fe80:c25d:ec00:dd:b10:88d1:ffff:ffff |
| 211 | fe80:c25d:ec00:dd:b10:88d2::/96 | fe80:c25d:ec00:dd:b10:88d2:ffff:ffff |
| 212 | fe80:c25d:ec00:dd:b10:88d3::/96 | fe80:c25d:ec00:dd:b10:88d3:ffff:ffff |
| 213 | fe80:c25d:ec00:dd:b10:88d4::/96 | fe80:c25d:ec00:dd:b10:88d4:ffff:ffff |
| 214 | fe80:c25d:ec00:dd:b10:88d5::/96 | fe80:c25d:ec00:dd:b10:88d5:ffff:ffff |
| 215 | fe80:c25d:ec00:dd:b10:88d6::/96 | fe80:c25d:ec00:dd:b10:88d6:ffff:ffff |
| 216 | fe80:c25d:ec00:dd:b10:88d7::/96 | fe80:c25d:ec00:dd:b10:88d7:ffff:ffff |
| 217 | fe80:c25d:ec00:dd:b10:88d8::/96 | fe80:c25d:ec00:dd:b10:88d8:ffff:ffff |
| 218 | fe80:c25d:ec00:dd:b10:88d9::/96 | fe80:c25d:ec00:dd:b10:88d9:ffff:ffff |
| 219 | fe80:c25d:ec00:dd:b10:88da::/96 | fe80:c25d:ec00:dd:b10:88da:ffff:ffff |
| 220 | fe80:c25d:ec00:dd:b10:88db::/96 | fe80:c25d:ec00:dd:b10:88db:ffff:ffff |
| 221 | fe80:c25d:ec00:dd:b10:88dc::/96 | fe80:c25d:ec00:dd:b10:88dc:ffff:ffff |
| 222 | fe80:c25d:ec00:dd:b10:88dd::/96 | fe80:c25d:ec00:dd:b10:88dd:ffff:ffff |
| 223 | fe80:c25d:ec00:dd:b10:88de::/96 | fe80:c25d:ec00:dd:b10:88de:ffff:ffff |
| 224 | fe80:c25d:ec00:dd:b10:88df::/96 | fe80:c25d:ec00:dd:b10:88df:ffff:ffff |
| 225 | fe80:c25d:ec00:dd:b10:88e0::/96 | fe80:c25d:ec00:dd:b10:88e0:ffff:ffff |
| 226 | fe80:c25d:ec00:dd:b10:88e1::/96 | fe80:c25d:ec00:dd:b10:88e1:ffff:ffff |
| 227 | fe80:c25d:ec00:dd:b10:88e2::/96 | fe80:c25d:ec00:dd:b10:88e2:ffff:ffff |
| 228 | fe80:c25d:ec00:dd:b10:88e3::/96 | fe80:c25d:ec00:dd:b10:88e3:ffff:ffff |
| 229 | fe80:c25d:ec00:dd:b10:88e4::/96 | fe80:c25d:ec00:dd:b10:88e4:ffff:ffff |
| 230 | fe80:c25d:ec00:dd:b10:88e5::/96 | fe80:c25d:ec00:dd:b10:88e5:ffff:ffff |
| 231 | fe80:c25d:ec00:dd:b10:88e6::/96 | fe80:c25d:ec00:dd:b10:88e6:ffff:ffff |
| 232 | fe80:c25d:ec00:dd:b10:88e7::/96 | fe80:c25d:ec00:dd:b10:88e7:ffff:ffff |
| 233 | fe80:c25d:ec00:dd:b10:88e8::/96 | fe80:c25d:ec00:dd:b10:88e8:ffff:ffff |
| 234 | fe80:c25d:ec00:dd:b10:88e9::/96 | fe80:c25d:ec00:dd:b10:88e9:ffff:ffff |
| 235 | fe80:c25d:ec00:dd:b10:88ea::/96 | fe80:c25d:ec00:dd:b10:88ea:ffff:ffff |
| 236 | fe80:c25d:ec00:dd:b10:88eb::/96 | fe80:c25d:ec00:dd:b10:88eb:ffff:ffff |
| 237 | fe80:c25d:ec00:dd:b10:88ec::/96 | fe80:c25d:ec00:dd:b10:88ec:ffff:ffff |
| 238 | fe80:c25d:ec00:dd:b10:88ed::/96 | fe80:c25d:ec00:dd:b10:88ed:ffff:ffff |
| 239 | fe80:c25d:ec00:dd:b10:88ee::/96 | fe80:c25d:ec00:dd:b10:88ee:ffff:ffff |
| 240 | fe80:c25d:ec00:dd:b10:88ef::/96 | fe80:c25d:ec00:dd:b10:88ef:ffff:ffff |
| 241 | fe80:c25d:ec00:dd:b10:88f0::/96 | fe80:c25d:ec00:dd:b10:88f0:ffff:ffff |
| 242 | fe80:c25d:ec00:dd:b10:88f1::/96 | fe80:c25d:ec00:dd:b10:88f1:ffff:ffff |
| 243 | fe80:c25d:ec00:dd:b10:88f2::/96 | fe80:c25d:ec00:dd:b10:88f2:ffff:ffff |
| 244 | fe80:c25d:ec00:dd:b10:88f3::/96 | fe80:c25d:ec00:dd:b10:88f3:ffff:ffff |
| 245 | fe80:c25d:ec00:dd:b10:88f4::/96 | fe80:c25d:ec00:dd:b10:88f4:ffff:ffff |
| 246 | fe80:c25d:ec00:dd:b10:88f5::/96 | fe80:c25d:ec00:dd:b10:88f5:ffff:ffff |
| 247 | fe80:c25d:ec00:dd:b10:88f6::/96 | fe80:c25d:ec00:dd:b10:88f6:ffff:ffff |
| 248 | fe80:c25d:ec00:dd:b10:88f7::/96 | fe80:c25d:ec00:dd:b10:88f7:ffff:ffff |
| 249 | fe80:c25d:ec00:dd:b10:88f8::/96 | fe80:c25d:ec00:dd:b10:88f8:ffff:ffff |
| 250 | fe80:c25d:ec00:dd:b10:88f9::/96 | fe80:c25d:ec00:dd:b10:88f9:ffff:ffff |
| 251 | fe80:c25d:ec00:dd:b10:88fa::/96 | fe80:c25d:ec00:dd:b10:88fa:ffff:ffff |
| 252 | fe80:c25d:ec00:dd:b10:88fb::/96 | fe80:c25d:ec00:dd:b10:88fb:ffff:ffff |
| 253 | fe80:c25d:ec00:dd:b10:88fc::/96 | fe80:c25d:ec00:dd:b10:88fc:ffff:ffff |
| 254 | fe80:c25d:ec00:dd:b10:88fd::/96 | fe80:c25d:ec00:dd:b10:88fd:ffff:ffff |
| 255 | fe80:c25d:ec00:dd:b10:88fe::/96 | fe80:c25d:ec00:dd:b10:88fe:ffff:ffff |
| 256 | fe80:c25d:ec00:dd:b10:88ff::/96 | fe80:c25d:ec00:dd:b10:88ff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |